Loading...
Searching...
No Matches
volk_32fc_x2_multiply_conjugate_32fc.h File Reference
`#include <float.h>`
`#include <inttypes.h>`
`#include <stdio.h>`
`#include <volk/volk_complex.h>`
`#include <immintrin.h>`
`#include <volk/volk_avx_intrinsics.h>`
`#include <pmmintrin.h>`
`#include <volk/volk_sse3_intrinsics.h>`
`#include <arm_neon.h>`

Go to the source code of this file.

## Macros

#define | INCLUDED_volk_32fc_x2_multiply_conjugate_32fc_a_H

## Functions

static void | volk_32fc_x2_multiply_conjugate_32fc_u_avx (lv_32fc_t *cVector, const lv_32fc_t *aVector, const lv_32fc_t *bVector, unsigned int num_points)
static void | volk_32fc_x2_multiply_conjugate_32fc_u_sse3 (lv_32fc_t *cVector, const lv_32fc_t *aVector, const lv_32fc_t *bVector, unsigned int num_points)
static void | volk_32fc_x2_multiply_conjugate_32fc_generic (lv_32fc_t *cVector, const lv_32fc_t *aVector, const lv_32fc_t *bVector, unsigned int num_points)
static void | volk_32fc_x2_multiply_conjugate_32fc_a_avx (lv_32fc_t *cVector, const lv_32fc_t *aVector, const lv_32fc_t *bVector, unsigned int num_points)
static void | volk_32fc_x2_multiply_conjugate_32fc_a_sse3 (lv_32fc_t *cVector, const lv_32fc_t *aVector, const lv_32fc_t *bVector, unsigned int num_points)
static void | volk_32fc_x2_multiply_conjugate_32fc_neon (lv_32fc_t *cVector, const lv_32fc_t *aVector, const lv_32fc_t *bVector, unsigned int num_points)

## Macro Definition Documentation

## INCLUDED_volk_32fc_x2_multiply_conjugate_32fc_a_H

#define INCLUDED_volk_32fc_x2_multiply_conjugate_32fc_a_H

## Function Documentation

## volk_32fc_x2_multiply_conjugate_32fc_a_avx()

void volk_32fc_x2_multiply_conjugate_32fc_a_avx | ( | lv_32fc_t * | cVector,
|  | const lv_32fc_t * | aVector,
|  | const lv_32fc_t * | bVector,
|  | unsigned int | num_points )

inline static

## volk_32fc_x2_multiply_conjugate_32fc_a_sse3()

void volk_32fc_x2_multiply_conjugate_32fc_a_sse3 | ( | lv_32fc_t * | cVector,
|  | const lv_32fc_t * | aVector,
|  | const lv_32fc_t * | bVector,
|  | unsigned int | num_points )

inline static

## volk_32fc_x2_multiply_conjugate_32fc_generic()

void volk_32fc_x2_multiply_conjugate_32fc_generic | ( | lv_32fc_t * | cVector,
|  | const lv_32fc_t * | aVector,
|  | const lv_32fc_t * | bVector,
|  | unsigned int | num_points )

inline static

## volk_32fc_x2_multiply_conjugate_32fc_neon()

void volk_32fc_x2_multiply_conjugate_32fc_neon | ( | lv_32fc_t * | cVector,
|  | const lv_32fc_t * | aVector,
|  | const lv_32fc_t * | bVector,
|  | unsigned int | num_points )

inline static

## volk_32fc_x2_multiply_conjugate_32fc_u_avx()

void volk_32fc_x2_multiply_conjugate_32fc_u_avx | ( | lv_32fc_t * | cVector,
|  | const lv_32fc_t * | aVector,
|  | const lv_32fc_t * | bVector,
|  | unsigned int | num_points )

inline static

## volk_32fc_x2_multiply_conjugate_32fc_u_sse3()

void volk_32fc_x2_multiply_conjugate_32fc_u_sse3 | ( | lv_32fc_t * | cVector,
|  | const lv_32fc_t * | aVector,
|  | const lv_32fc_t * | bVector,
|  | unsigned int | num_points )

inline static